
 LinHES - Bug # 721: Off-by-one error in screensaver setup

Status: Closed Priority: Normal
Author: jfeise Category: Packages: Core
Created: 09/30/2010 Assignee: jams
Updated: 11/05/2010 Due date:
Description: There is an off-by-one error in mv_screensaver.py, resulting in a wrong screensaver being selected.

Patch is attached.

History
09/30/2010 11:44 pm - jfeise
I am getting an error trying to update the issue. May have to do with trying to attach the patch.
Posting it in the body now:
<pre>
+++ /usr/MythVantage/bin/mv_screensaver.py      2010-09-30 23:20:57.000000000 -0700
@@ -84,7 +84,7 @@
             startline = k
         if re.search(theme,line):
             foundline = k
-    themenumber=foundline-startline-2
+    themenumber=foundline-startline-1

     for line in screenconfigcontents:
         if re.match("selected.*$",line):
</pre>

09/30/2010 11:46 pm - jfeise
Missed the first line:
<pre>
--- /usr/MythVantage/bin/mv_screensaver.py.orig 2010-06-04 00:22:16.000000000 -0700
+++ /usr/MythVantage/bin/mv_screensaver.py      2010-09-30 23:20:57.000000000 -0700
@@ -84,7 +84,7 @@
             startline = k
         if re.search(theme,line):
             foundline = k
-    themenumber=foundline-startline-2
+    themenumber=foundline-startline-1

     for line in screenconfigcontents:
         if re.match("selected.*$",line):
</pre>

10/01/2010 06:49 am - jams
- Assignee set to jams

- Category set to Packages: Core

Is this for Xscreensaver  vs gnome ?

10/01/2010 07:35 am - jfeise
xscreensaver
11/05/2010 09:19 am - jams
- Status changed from New to Closed

fixed

04/10/2024 2/2


